[arch-dev-public] gnutls update in testing

Jan de Groot jan at jgc.homeip.net
Sun Aug 3 12:08:51 EDT 2008

GNUTLS has been updated to 2.4.1 in testing (x86_64 only at this moment,
i686 is in progress).

All known dependencies and those reported by lddd on my system have been
rebuilt. I've added versioned dependencies to these packages to make
them easier to identify for rebuild actions on the next major upgrade.

Main changes:
- GNUTLS binaries are GPL3 now, library is still LGPL2.1+
- OpenCDK is no longer a dependency, the required parts are merged with
- LZO2 compression is no longer supported. LZO is GPL2-only and is
incompatible with GPL3 that way. LZO compression isn't defined as a
standard either, it was an experimental gnutls extension

Please test these packages and report any additional required rebuilds
to the bugtracker.

More information about the arch-dev-public mailing list